App not compatible with phone

any body figure a work around for this …i just purchased and now found out that i cant download the app…i guess i have version 8 for android…i think this not cool that the ring web site says nothing about this and should really have the requirements listed…cause im not about to purchase another phone for this to work…wth…so qustion is can i use another version of the app…i read that vesion 3.49 works with older andriods…???

Hi @kiki2022. We do not have an older version of the Ring app available to download; the most current version of the Ring app is the only one available to download via the app store on Android and iOS. We do have this Help Center page here with information on what phone requirements are needed to download the Ring app.